Summary: UCSC SMART SUITE - SMART utility suite for Linux
Name: ucsc-smartsuite
Version: 2.0Beta2
Release: 0.7.1.94
Copyright: GPL
ExclusiveOS: Linux
Group: Applications/System
Source0: http://www.cse.ucsc.edu/~darrell/ucsc-smartsuite-2.0Beta2.tar.gz
Source1: smartd.init
URL: http://www.cse.ucsc.edu/~darrell/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes: smartctl

%description
UCSC SMART suite controls and monitors storage devices uning the Self-
Monitoring, Analysis and Reporting Technology System(S.M.A.R.T.) build
into ATA and SCSI Hard Drives. This is used to check the reliability of
the hard drive and predict drive failures. The suite contents two
utilities, smartctl is a command line utility designed to perform simple
S.M.A.R.T. tasks. And smartd is a daemon that periodically monitors smart
status and reports errors to syslog.

%prep
%setup

%build
make clean
make "CFLAGS=${RPM_OPT_FLAGS} -DLINUX"

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
mkdir -p ${RPM_BUILD_ROOT}/etc/sysconfig
install smartd smartctl ${RPM_BUILD_ROOT}%{_sbindir}
install smartd.8 smartctl.8 $RPM_BUILD_ROOT%{_mandir}/man8
install %{SOURCE1} ${RPM_BUILD_ROOT}/etc/rc.d/init.d/smartd
echo "SMARTDEVICES=\"\"" > ${RPM_BUILD_ROOT}/etc/sysconfig/smartdevices

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/chkconfig --add smartd

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del smartd
fi

%files
%defattr(0644, root, root, 0755)
%doc CHANGELOG COPYING README TODO
%attr(0755, root, root) %{_sbindir}/smart*
%attr(0755, root, root) /etc/rc.d/init.d/smartd
%config /etc/sysconfig/smartdevices
%{_mandir}/man8/smart*

%changelog
* Fri Oct 05 2001 Peter Soos <sp@osb.hu>
- Rebuilt for Red Hat Linux 7.2 beta

* Fri May 18 2001 Peter Soos <sp@osb.hu>
- Initial RPM package
